/* Tape format 
*/

#define DEFAULT_BAUD_RATE 1200
#define DEFAULT_BLOCK_SIZE 256
#define DEFAULT_START_BITS 0
#define DEFAULT_NUMBER_OF_START_BITS 1
#define DEFAULT_STOP_BITS 1
#define DEFAULT_NUMBER_OF_STOP_BITS 1
#define DEFAULT_START_STOP_BITS "0/1"

#define SIGNAL_AMP 100
#define SIGNAL_ZERO 128
#define SIGNAL_PHASE -1
#define SYNC_BYTE 0x2a
#define SYNC_BUGF 0xaa
#define DATA_BITS 8
#define HEADER_SPACE 6000
#define BLOCK_SPACE 1200
#define SYNC_LENGTH 500

#define NO_ERROR 0
#define BAD_AUDIO 1
#define WRONG_BLOCK 2
#define END_OF_AUDIO 3
