/* _help.c
 *
 * By W.H.Scholten 2001
 * This file is released to the public domain.
 */

void use() {
	printf("Use: uef_extract <filename>\n"
		   "     uef_extract {-e | -b} <filename>\n"
		   "or\n"
		   "     uef_extract -h\n"
		   "for more information.\n\n"
		);
	exit(1);
}

void help() {
	printf("\nuef_extract lists and/or extracts files from uef format (only standard tape images) into the archive format or tape blocks."
		   " In the process, it also checks the CRC's for the header and data in each block and in case of a failure, shows the block number and CRC's.\n"
		   "Synopsis:\n"
		   "     uef_extract <file>\n"
		   "     uef_extract {-e | -b} <file>\n"
		   "     uef_extract -t <file> <tape file>\n"
		   "     uef_extract -h\n"
		   "Parameters:\n"
		   "  -e : extract the files in archive format\n"
		   "  -b : extract raw tape blocks\n"
		   "  -t : extract tape data into a tape image\n"
		   "  -h : this help text\n\n"
		);
	exit(0);
}
